\chapter{Appunti misti}
\label{chap:0;dispensa}

\section{Tipi di filtri}
\label{sect:0.0;dispensa}

%
\subsection{Derivative}
\label{sub:0.0.0;dispensa}

It is interesting to check the derivative of $1/Q_N(x)$ at $x=1$.  We
are especially interested in the derivative of 
%
\begin{equation}
\label{eq:3;dispensa}
\log(1/Q_N(e^b)) = -\log(Q_N(e^b))
\end{equation}
%
it is
%
\begin{equation}
\label{eq:4;dispensa}
-\frac{d \log(Q_N(e^b))}{db} =
-\frac{e^b Q_N'(e^b)}{\log(Q_N(e^b))}
\end{equation}
%
Computing in $b=0$ and supposing chosing the reference frequency so
that $Q_N(1)=2$, 
%
\begin{equation}
\label{eq:5;dispensa}
-\frac{d \log(Q_N(e^b))}{db}|_{b=0} =
-\frac{Q_N'(1)}{\log(2)}
\end{equation}
%
It follows that the slope in log-log scale at the conventional cut-off
frequency is proportional to $Q_N'(1)$.


\subsection{Butterworth filters}
\label{sub:0.0.0.0;dispensa}

In the case of Butterworth filters one has $Q_N'(x) =  2N
x^{2N-1}$ and it follows
%
\begin{equation}
\label{eq:6;dispensa}
-\frac{Q_N'(1)}{\log(2)} = -1.4 N
\end{equation}
%
Note that this differ from the expected $10 N$ dB/decade by a factor
of 7. 

\subsection{Chebyshev filters}
\label{sub:0.0.1;dispensa}

In the case of Chebyshev filters we have
%
\begin{equation}
\label{eq:7;dispensa}
Q_N(x) = 1 + \epsilon^2 T_N^2(x)
\end{equation}
%
that implies
%
\begin{equation}
\label{eq:8;dispensa}
Q_N'(x) = 2 \epsilon^2 T_N(x) T_N'(x) = 2 N \epsilon^2 T_N(x) U_{N-1}(x)
\end{equation}
%
where $U_{N-1}(x)$ is a Chebyshev polynomial of the second kind
defined by
%
\begin{subequations}
\label{eq:9;dispensa}
\begin{align}
\label{eq:9a;dispensa}
U_0(x) &=1  \\
U_1(x) &=2x \\
U_{n+1}(x) &= 2 x U_n(x) - U_{n-1}(x)
\label{eq:9b;dispensa}
\end{align}
\end{subequations}
%
Since $T_N(1)=1$ and $U_N(1) = N+1$, \er{eq:8;dispensa} in $x=1$ gives
%
\begin{equation}
\label{eq:10;dispensa}
Q_N'(1) = 2 N \epsilon^2 T_N(1) U_{N-1}(1)
= 2 N (N-1) \epsilon^2
\end{equation}
